<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Lang strings for the dynamo module.
 *
 * @package    mod_dynamo
 * @copyright  2019 UCLouvain
 * @author     Dominique Palumbo
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['modulename']                         = 'Dynamo';
$string['modulenameplural']                   = 'Dynamo';
$string['modulename_help']                    = 'Dynamo is a tool to evaluate pairs by pairs.';
$string['dynamoname']                         = 'Name';
$string['dynamoname_help']                    = 'Help with more explanation';
$string['mod_dynamo']                         = 'Dynamo';
$string['pluginadministration']               = 'Dynamo administration';
$string['pluginname']                         = 'Dynamo';
$string['dynamo:addinstance']                 = 'Add a new dynamo module';
$string['dynamo:respond']                     = 'Respond to Questionnaire';
$string['dynamo:create']                      = 'Create survey';
$string['dynamo:build']                       = 'Build version of Dynamo';

$string['dynamofieldset']                     = 'criterions personalisation';
$string['dynamoauto']                         = 'Require that every student self assesses';
$string['dynamogroupeval']                    = 'Require that each student evaluate their group globally';
$string['dynamoautotitle']                    = 'Auto-evaluation';
$string['dynamogroupevaltitle']               = '&nbsp;';
$string['dynamochoice']                       = 'Target grouping';
$string['dynamocritparticipation']            = 'Additional information (optional)';
$string['dynamocritresponsabilite']           = 'Additional information (optional)';
$string['dynamocritscientifique']             = 'Additional information (optional)';
$string['dynamocrittechnique']                = 'Additional information (optional)';
$string['dynamocritattitude']                 = 'Additional information (optional)';
$string['dynamocritparticipationdefault']     = 'meetings, punctuality, respect of group rules';
$string['dynamocritresponsabilitedefault']    = 'accomplishment of the tasks entrusted by the group: (readings, research, writing, etc.)';
$string['dynamocritscientifiquedefault']      = 'relevance and quality of research and ideas, understanding of concepts';
$string['dynamocrittechniquedefault']         = 'working methodology, use of tools for carrying out activities, creativity';
$string['dynamocritattitudedefault']          = 'positive attitude to work progress, good climate and good team relations';
$string['dynamocrit1']                        = 'Criteria 1';
$string['dynamocrit2']                        = 'Criteria 2';
$string['dynamocrit3']                        = 'Criteria 3';
$string['dynamocrit4']                        = 'Criteria 4';
$string['dynamocrit5']                        = 'Criteria 5';
$string['dynamocrit6']                        = 'Criteria 6';
$string['dynamocritoptname']                  = 'Name of the optional criterion';
$string['dynamocritoptnamedescr']             = 'Description of the additional criterion';
$string['dynamostudenttitle']                 = 'Evaluation of the group dynamics of the activity';
$string['dynamoteacherlvl1title']             = 'Evaluation of the group dynamics';
$string['dynamoteacherlvl1evalother']         = 'Evaluate the pairs';
$string['dynamoteacherlvl1othereval']         = 'Evaluated BY the pairs';
$string['dynamolegend']                       = 'Legend';
$string['dynamogrid']                         = 'Grid of criteria';
$string['dynamoparticipation']                = 'Participation';
$string['dynamoresponsabilite']               = 'Responsability';
$string['dynamoscientifique']                 = 'Scientific Expertise';
$string['dynamotechnique']                    = 'Technical Expertise';
$string['dynamoattitude']                     = 'General Attitude';
$string['dynamoeval1']                        = 'Very unsatisfactory';
$string['dynamoeval2']                        = 'Unsatisfactory';
$string['dynamoeval3']                        = 'Honest, neither + , nor -';
$string['dynamoeval4']                        = 'Very good';
$string['dynamoeval5']                        = 'Excellent';
$string['dynamocommentcontr']                 = 'Comments on my contribution in the group';
$string['dynamocommentfonction']              = 'Comments on the operation of the group in general';
$string['dynamonotfilled']                    = 'All the fields are not filled. Please do it before the submission.';
$string['dynamosavedsuccessfully']            = 'Your evaluation was saved with success. Thank you. You will be redirect soon back to your course';
$string['dynamosavedcorrupted']               = 'The send data are corruped or missing. Please try again, thank you. (try back on your web browser)';
$string['dynamoevalgroup']                    = 'Evaluation by the group';
$string['dynamoevalofgroup']                  = 'Evaluation of the group';
$string['dynamosum']                          = '&sum;';
$string['dynamoavg']                          = 'Average';
$string['dynamostddev']                       = 'Standard deviation';
$string['dynamogroup']                        = 'Group';
$string['dynamogroupevalby']                  = 'Autoevaluation of the group AVG';
$string['dynamogroupevaluatedby']             = 'Group average eval of';
$string['dynamoheadgroup']                    = 'Group';
$string['dynamoheadgrouping']                 = 'Grouping';
$string['dynamoheaddate']                     = 'Date';
$string['dynamoheadfirstname']                = 'Firstname';
$string['dynamoheadlastname']                 = 'Lastname';
$string['dynamoheadevalfirstname']            = 'Eval. firstname';
$string['dynamoheadevallastname']             = 'Eval. lasname';
$string['dynamoheademail']                    = 'Email';
$string['dynamoheadidnumber']                 = 'NOMA';
$string['dynamogrpingreport']                 = 'Report Grouping';
$string['dynamoier']                          = 'Total';
$string['dynamoniwf']                         = 'Relatif involvement';
$string['dynamoevaluator']                    = 'Evaluator';
$string['dynamoevaluated']                    = 'Evaluated';
$string['dynamoradar01title']                 = 'Radar';
$string['dynamoradar01title2']                = 'Self Assessment vs. Average Peer Assessment';
$string['dynamoradar01title3']                = 'Self Assessment vs. Average Peer Assessment vs self group evaluation';
$string['dynamoradar01title4']                = 'All Self Assessment';
$string['dynamoavgeval']                      = 'Average of evaluations';
$string['dynamoautoeval']                     = 'Auto-evaluation';
$string['dynamoopenclose']                    = 'Open/close';
$string['dynamogotogroup']                    = 'Group details';
$string['dynamogotoparticipant']              = 'Participants detail';
$string['dynamogroupdetailtitle']             = 'Group synthesis';
$string['dynamoconf']                         = 'Relatif assurance';
$string['dynamopreview']                      = 'Preview';
$string['dynamotab1']                         = 'Preview';
$string['dynamotab2']                         = 'Results';
$string['dynamotab3']                         = 'Reports';
$string['dynamoresults1']                     = 'Overview';
$string['dynamoresults2']                     = 'Groups detail';
$string['dynamoresults3']                     = 'Participant details';
$string['dynamoliststudent']                  = 'Students list';
$string['dynamolistgroup']                    = 'Groups list';
$string['dynamotypeletters']                  = 'Type the first letters of the firstname or lastname';
$string['dynamoheadparticiaption']            = 'Answered';
$string['dynamoheadimplication']              = 'Implication';
$string['dynamoheadconfidence']               = 'Assurance';
$string['dynamoheadcohesion']                 = 'Cohesion';
$string['dynamoheadconsistency']              = 'Consistency';
$string['dynamoheadconflit']                  = 'Appreciations';
$string['dynamoheadremarque']                 = 'Climate';
$string['dynamonocomment']                    = 'No specific comment';
$string['dynamoreport01']                     = 'List of Participants with no answers';
$string['dynamoreport02']                     = 'Group reports';
$string['dynamoreport03']                     = 'Individual reports';
$string['dynamoreport04']                     = 'Chart of relative insurance';
$string['dynamoreport05']                     = 'Yearbook';
$string['dynamoreport06']                     = 'Excel Export';
$string['dynamosendmail']                     = 'Send mails';
$string['dynamononoparticipant']              = 'All students have filled the form';
$string['dynamoreports']                      = 'List of reports';
$string['dynamogotogroup']                    = 'Go to group';
$string['dynamoreportselect']                 = 'Choose your report';
$string['dynamoremovegroupnoprobs']           = 'Hide the groups without problems';
$string['dynamoremovegroupnotcomplete']       = 'Hide the groups not complete';
$string['dynamoswitchoverview']               = 'View change';
$string['dynamorepbtsynthesis']               = 'Hide synthesis';
$string['dynamorepbtniwf']                    = 'Hide NIWF';
$string['dynamorepbtevalothers']              = 'Hide evaluation of pairs';
$string['dynamorepbtevalbyothers']            = 'Hide evaluation by pairs';
$string['dynamorepbtgraphradar']              = 'Hide radars';
$string['dynamorepbtgraphhisto']              = 'Hide histograms';
$string['dynamorepbtcomment']                 = 'Hide comments';
$string['dynamorepbtrelatifassurance']        = 'Hide relative assurance';
$string['dynamoremovecolors']                 = 'Printer friendly';
$string['dynamogroupcount']                   = 'Number of group';
$string['dynamostudentcount']                 = 'Number of student';
$string['dynamostudentnoanswerscount']        = 'Number of student without answers';
$string['dynamokeywords']                     = 'plagiari|absent|present|damage|expertise|problem|exempt|delay|conflict|contrib|particip|function|communi|collabor|atmosphere|disagreement|misunderstanding|tension|exclud|isolat|neglect|misunderstood|devalued|overwork|stress|pressur|intimid|harass|unfair|inefficient|dysfunct';
$string['dynamogroupetypefan']                = 'Perfect cohesion';
$string['dynamogroupetyperas']                = 'Excellent cohesion';
$string['dynamogroupetypeclustering']         = 'Bad cohesion';
$string['dynamogroupetypeclique']             = 'Conflict';
$string['dynamogroupetypeheterogene']         = 'Good cohesion';
$string['dynamogroupetypeghost']              = 'Insufficient data';
$string['dynamopleasewait']                   = 'Please Wait...';
$string['dynamohelp']                         = '<h3>How the Niwf is computed ?</h3><div class="box-niwf">
                                                    <math xmlns="http://www.w3.org/1998/Math/MathML"><mi>N</mi><mi>I</mi><mi>W</mi><msub><mi>F</mi><mrow><mo>&#xA0;</mo><mi>j</mi><mo>&#x2260;</mo><mi>i</mi><mo>&#xA0;</mo></mrow></msub><mo>=</mo><munderover><mo>&#x2211;</mo><mrow><mi>i</mi><mo>=</mo><mn>1</mn></mrow><mi>n</mi></munderover><mo>(</mo><mfrac><mrow><msub><mi>R</mi><mrow><mi>j</mi><mo>&#x2260;</mo><mi>i</mi></mrow></msub><mo>&#xA0;</mo></mrow><mrow><munderover><mo>&#x2211;</mo><mrow><mi>k</mi><mo>=</mo><mn>1</mn></mrow><mi>n</mi></munderover><mo>&#xA0;</mo><msub><mi>R</mi><mrow><mi>K</mi><mo>&#x2260;</mo><mi>i</mi></mrow></msub></mrow></mfrac><mo>)</mo></math>/(n-1)
                                                </div>
                                                <div><a href="https://docs.moodle.org/400/en/Dynamo" target="_doc">Documentation</a></div>';
$string['dynamonotyetdesigned']               = 'This functionnality is not yet developped';
$string['dynamotop']                          = 'Top';

$string['dynamogotodetail']                   = 'Scroll to';
$string['dynamohelpniwf']                     = 'NIWF: normalised individual weighting factor (excluding self-assessment)';
$string['dynamomenuresults']                  = 'Results';
$string['dynamomenureports']                  = 'Reports';

$string['privacy:metadata:dynamo_eval']           = 'Information about the user\'s evaluation on a given dynamo activity';
$string['privacy:metadata:dynamo_eval:evalbyid']  = 'The user who do the evaluation.';
$string['privacy:metadata:dynamo_eval:userid']    = 'The user who was evaluated.';

$string['dynamoexcelready']                   = 'Click on the icon to download your document';
$string['dynamographauto']                    = 'Auto';
$string['dynamographpeers']                   = 'Peers';

$string['dynamoactivityview']                 = 'Student must view and save this activity to complete it';
$string['dynamoexportxlstab1']                = 'Group data';
$string['dynamoexportxlstab2']                = 'Individual data';
$string['dynamoexportxlstab3']                = 'Brut data';

$string['dynamoaclimate0']                    = 'Sun';
$string['dynamoaclimate1']                    = 'Cloud';
$string['dynamoaclimate2']                    = 'Shower';
$string['dynamoaclimate3']                    = 'Rain';
$string['dynamoaclimate4']                    = 'Thunderstorm';

$string['dynamoexportxlsTitle01']             = 'Total (peers)';
$string['dynamoexportxlsTitle02']             = 'Total (self)';
$string['dynamoexportxlsTitle03']             = 'Participation (peers)';
$string['dynamoexportxlsTitle04']             = 'Participation (self)';
$string['dynamoexportxlsTitle05']             = 'Responsibility (peers)';
$string['dynamoexportxlsTitle06']             = 'Responsibility (self)';
$string['dynamoexportxlsTitle07']             = 'Scientific expertise (peers)';
$string['dynamoexportxlsTitle08']             = 'Scientific expertise (self)';
$string['dynamoexportxlsTitle09']             = 'Technical expertise (peers)';
$string['dynamoexportxlsTitle10']             = 'Technical expertise (self)';
$string['dynamoexportxlsTitle11']             = 'General attitude (peers)';
$string['dynamoexportxlsTitle12']             = 'General attitude (self)';
$string['dynamoexportxlsTitle13']             = 'Criterion 6 (peers)';
$string['dynamoexportxlsTitle14']             = 'Criterion 6 (self)';
$string['dynamoexportxlsTitle15']             = 'Relative implication';
$string['dynamoexportxlsTitle16']             = 'Relative insurance';
$string['dynamoexportxlsTitle17']             = 'Comment on my contribution';
$string['dynamoexportxlsTitle18']             = 'Comment on my group';
$string['dynamoexportxlsTitle19']             = 'Groups average';
$string['dynamorefresh']                      = 'Refresh';

$string['calendarstart']                      = 'Open Date';
$string['calendarend']                        = 'Close Date';
